e102182affd4dd32d8c86cdf2bdde41c1907caff
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-rtd-rtd-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76       </parameterDefinitions>
77     </hudson.model.ParametersDefinitionProperty>
78   </properties>
79   <scm class="hudson.plugins.git.GitSCM">
80     <configVersion>2</configVersion>
81     <userRemoteConfigs>
82       <hudson.plugins.git.UserRemoteConfig>
83         <name>origin</name>
84         <refspec/>
85         <url>$GIT_URL/$PROJECT</url>
86         <credentialsId>test-credential</credentialsId>
87       </hudson.plugins.git.UserRemoteConfig>
88     </userRemoteConfigs>
89     <branches>
90       <hudson.plugins.git.BranchSpec>
91         <name>refs/heads/master</name>
92       </hudson.plugins.git.BranchSpec>
93     </branches>
94     <excludedUsers/>
95     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
96     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
97     <authorOrCommitter>false</authorOrCommitter>
98     <wipeOutWorkspace>true</wipeOutWorkspace>
99     <pruneBranches>false</pruneBranches>
100     <remotePoll>false</remotePoll>
101     <gitTool>Default</gitTool>
102     <submoduleCfg class="list"/>
103     <relativeTargetDir/>
104     <reference/>
105     <gitConfigName/>
106     <gitConfigEmail/>
107     <skipTag>true</skipTag>
108     <scmName/>
109     <useShallowClone>false</useShallowClone>
110     <ignoreNotifyCommit>false</ignoreNotifyCommit>
111     <extensions>
112       <hudson.plugins.git.extensions.impl.SubmoduleOption>
113         <disableSubmodules>false</disableSubmodules>
114         <recursiveSubmodules>true</recursiveSubmodules>
115         <trackingSubmodules>false</trackingSubmodules>
116         <reference/>
117         <timeout>10</timeout>
118       </hudson.plugins.git.extensions.impl.SubmoduleOption>
119       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
120     </extensions>
121   </scm>
122   <triggers class="vector">
123     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
124       <spec/>
125       <gerritProjects>
126         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
127           <compareType>ANT</compareType>
128           <pattern>**</pattern>
129           <branches>
130             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
131               <compareType>ANT</compareType>
132               <pattern>**/master</pattern>
133             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
134           </branches>
135           <filePaths>
136             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
137               <compareType>ANT</compareType>
138               <pattern>**/*.rst</pattern>
139             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
140             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
141               <compareType>ANT</compareType>
142               <pattern>**/conf.py</pattern>
143             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
144           </filePaths>
145           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
146         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
147       </gerritProjects>
148       <skipVote>
149         <onSuccessful>false</onSuccessful>
150         <onFailed>false</onFailed>
151         <onUnstable>false</onUnstable>
152         <onNotBuilt>false</onNotBuilt>
153       </skipVote>
154       <silentMode>false</silentMode>
155       <silentStartMode>false</silentStartMode>
156       <escapeQuotes>true</escapeQuotes>
157       <noNameAndEmailParameters>false</noNameAndEmailParameters>
158       <readableMessage>false</readableMessage>
159       <dependencyJobsNames/>
160       <notificationLevel/>
161       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
162       <triggerConfigURL/>
163       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
164       <triggerOnEvents>
165         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
166           <excludeDrafts>false</excludeDrafts>
167           <excludeTrivialRebase>false</excludeTrivialRebase>
168           <excludeNoCodeChange>false</excludeNoCodeChange>
169         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
170         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
171         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
172           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
173         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
174       </triggerOnEvents>
175       <buildStartMessage/>
176       <buildFailureMessage/>
177       <buildSuccessfulMessage/>
178       <buildUnstableMessage/>
179       <buildNotBuiltMessage/>
180       <buildUnsuccessfulFilepath/>
181       <customUrl/>
182       <serverName>test-server</serverName>
183     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
184   </triggers>
185   <builders>
186     <EnvInjectBuilder>
187       <info>
188         <propertiesContent>DOC_DIR=docs/_build/html</propertiesContent>
189       </info>
190     </EnvInjectBuilder>
191     <hudson.tasks.Shell>
192       <command>#!/bin/bash
193 # SPDX-License-Identifier: EPL-1.0
194 ##############################################################################
195 # Copyright (c) 2017 The Linux Foundation and others.
196 #
197 # All rights reserved. This program and the accompanying materials
198 # are made available under the terms of the Eclipse Public License v1.0
199 # which accompanies this distribution, and is available at
200 # http://www.eclipse.org/legal/epl-v10.html
201 ##############################################################################
202 echo &quot;---&gt; tox-install.sh&quot;
203
204 # Ensure we fail the job if any steps fail.
205 # DO NOT set -u as virtualenv's activate script has unbound variables
206 set -e -o pipefail
207
208 virtualenv --quiet &quot;/tmp/v/tox&quot;
209 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
210 source &quot;/tmp/v/tox/bin/activate&quot;
211 pip install --quiet --upgrade pip
212 pip install --quiet --upgrade pipdeptree
213 pip install --quiet --upgrade tox argparse
214
215 echo &quot;----&gt; Pip Dependency Tree&quot;
216 pipdeptree
217
218 #!/bin/bash
219 # SPDX-License-Identifier: EPL-1.0
220 ##############################################################################
221 # Copyright (c) 2017 The Linux Foundation and others.
222 #
223 # All rights reserved. This program and the accompanying materials
224 # are made available under the terms of the Eclipse Public License v1.0
225 # which accompanies this distribution, and is available at
226 # http://www.eclipse.org/legal/epl-v10.html
227 ##############################################################################
228 echo &quot;---&gt; rtd-verify.sh&quot;
229
230 # Ensure we fail the job if any steps fail.
231 # DO NOT set -u as virtualenv's activate script has unbound variables
232 set -e -o pipefail
233
234 echo &quot;---&gt; Fetching project&quot;
235 if [ &quot;$GERRIT_PROJECT&quot; != &quot;$PROJECT&quot; ]; then
236     cd &quot;docs/submodules/$GERRIT_PROJECT&quot;
237 fi
238
239 git fetch origin &quot;$GERRIT_REFSPEC&quot; &amp;&amp; git checkout FETCH_HEAD
240
241 echo &quot;---&gt; Generating docs&quot;
242 tox -edocs
243
244 echo &quot;---&gt; Archiving generated docs&quot;
245 mkdir -p &quot;$WORKSPACE/archives&quot;
246 mv &quot;$DOC_DIR&quot; archives/
247 </command>
248     </hudson.tasks.Shell>
249   </builders>
250   <publishers>
251     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
252       <buildSteps>
253         <hudson.tasks.Shell>
254           <command>#!/bin/bash
255 # SPDX-License-Identifier: EPL-1.0
256 ##############################################################################
257 # Copyright (c) 2017 The Linux Foundation and others.
258 #
259 # All rights reserved. This program and the accompanying materials
260 # are made available under the terms of the Eclipse Public License v1.0
261 # which accompanies this distribution, and is available at
262 # http://www.eclipse.org/legal/epl-v10.html
263 ##############################################################################
264 echo &quot;---&gt; sysstat.sh&quot;
265 set +e  # DON'T fail build if script fails.
266
267 OS=$(facter operatingsystem)
268 case &quot;$OS&quot; in
269     Ubuntu)
270         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
271
272         # Dont run the script when systat is not enabled by default
273         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
274             exit 0
275         fi
276     ;;
277     CentOS|RedHat)
278         SYSSTAT_PATH=&quot;/var/log/sa&quot;
279     ;;
280     *)
281         # nothing to do
282         exit 0
283     ;;
284 esac
285
286 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
287 mkdir -p &quot;$SAR_DIR&quot;
288 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
289 # convert sar data to ascii format
290 while IFS=&quot;&quot; read -r s
291 do
292     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
293 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
294
295 # DON'T fail build if script fails.
296 exit 0
297 </command>
298         </hudson.tasks.Shell>
299         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
300           <managedFiles>
301             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
302               <fileId>jenkins-log-archives-settings</fileId>
303               <targetLocation/>
304               <variable>SETTINGS_FILE</variable>
305             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
306           </managedFiles>
307         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
308         <EnvInjectBuilder>
309           <info>
310             <propertiesContent>SERVER_ID=logs</propertiesContent>
311           </info>
312         </EnvInjectBuilder>
313         <hudson.tasks.Shell>
314           <command>#!/bin/bash
315 # SPDX-License-Identifier: EPL-1.0
316 ##############################################################################
317 # Copyright (c) 2017 The Linux Foundation and others.
318 #
319 # All rights reserved. This program and the accompanying materials
320 # are made available under the terms of the Eclipse Public License v1.0
321 # which accompanies this distribution, and is available at
322 # http://www.eclipse.org/legal/epl-v10.html
323 ##############################################################################
324 echo &quot;---&gt; create-netrc.sh&quot;
325
326 # Ensure we fail the job if any steps fail.
327 set -eu -o pipefail
328
329 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
330 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
331     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
332     -v x:username -o &quot;:&quot; -v x:password \
333     &quot;$SETTINGS_FILE&quot;)
334
335 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
336 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
337 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
338
339 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
340 </command>
341         </hudson.tasks.Shell>
342         <hudson.tasks.Shell>
343           <command>#!/bin/bash
344 # SPDX-License-Identifier: EPL-1.0
345 ##############################################################################
346 # Copyright (c) 2017 The Linux Foundation and others.
347 #
348 # All rights reserved. This program and the accompanying materials
349 # are made available under the terms of the Eclipse Public License v1.0
350 # which accompanies this distribution, and is available at
351 # http://www.eclipse.org/legal/epl-v10.html
352 ##############################################################################
353 echo &quot;---&gt; lftools-install.sh&quot;
354
355 # Script to install lftools via a version passed in via lf-infra-parameters
356 #
357 # Required parameters:
358 #
359 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
360 #                      set to a strict version number like '1.2.3' or using
361 #                      PEP-440 definitions.
362 #
363 #                      Examples:
364 #                          &lt;1.0.0
365 #                          &gt;=1.0.0,&lt;2.0.0
366 #
367 # By default a released version of lftools should always be used.
368 # The purpose of the 2 variables below is so that lftools devs can test
369 # unreleased versions of lftools. There are 2 methods to install a dev version
370 # of lftools:
371 #
372 #     1) gerrit patch: Used to test a patch that has not yet been merged.
373 #                      To do this set something like this:
374 #                          LFTOOLS_MODE=gerrit
375 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
376 #
377 #     2) git branch: Used to install an lftools version from a specific branch.
378 #                    To use this set the variables as follows:
379 #                          LFTOOLS_MODE=git
380 #                          LFTOOLS_REFSPEC=master
381 #
382 #     3) release : The intended use case and default setting.
383 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
384
385 LFTOOLS_MODE=release  # release | git | gerrit
386 LFTOOLS_REFSPEC=master
387
388 # Ensure we fail the job if any steps fail.
389 # DO NOT set -u as virtualenv's activate script has unbound variables
390 set -e -o pipefail
391
392 virtualenv --quiet &quot;/tmp/v/lftools&quot;
393 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
394 source &quot;/tmp/v/lftools/bin/activate&quot;
395 pip install --quiet --upgrade pip
396
397 case $LFTOOLS_MODE in
398     gerrit)
399         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
400         pushd /tmp/lftools
401         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
402         git checkout FETCH_HEAD
403         pip install --quiet --upgrade -r requirements.txt
404         pip install --quiet --upgrade -e .
405         popd
406         ;;
407
408     git)
409         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
410         ;;
411
412     release)
413         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
414             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
415         fi
416
417         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
418         ;;
419 esac
420
421 lftools --version
422
423 # pipdeptree prints out a lot of information because lftools pulls in many
424 # dependencies. Let's only print it if we want to debug.
425 # echo &quot;----&gt; Pip Dependency Tree&quot;
426 # pip install --quiet --upgrade pipdeptree
427 # pipdeptree
428
429 #!/bin/bash
430 # SPDX-License-Identifier: EPL-1.0
431 ##############################################################################
432 # Copyright (c) 2017 The Linux Foundation and others.
433 #
434 # All rights reserved. This program and the accompanying materials
435 # are made available under the terms of the Eclipse Public License v1.0
436 # which accompanies this distribution, and is available at
437 # http://www.eclipse.org/legal/epl-v10.html
438 ##############################################################################
439 echo &quot;---&gt; logs-deploy.sh&quot;
440
441 # Ensure we fail the job if any steps fail.
442 set -eu -o pipefail
443
444 set -x  # Trace commands for this script to make debugging easier.
445
446 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
447 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
448
449 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
450 then
451     set +x # Disable trace since we no longer need it
452
453     echo &quot;WARNING: Logging server not set&quot;
454 else
455     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
456     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
457     BUILD_URL=&quot;${BUILD_URL}&quot;
458
459     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
460     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
461
462     set +x  # Disable trace since we no longer need it.
463
464     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
465 fi
466 </command>
467         </hudson.tasks.Shell>
468         <hudson.tasks.Shell>
469           <command>#!/bin/bash
470 # SPDX-License-Identifier: EPL-1.0
471 ##############################################################################
472 # Copyright (c) 2017 The Linux Foundation and others.
473 #
474 # All rights reserved. This program and the accompanying materials
475 # are made available under the terms of the Eclipse Public License v1.0
476 # which accompanies this distribution, and is available at
477 # http://www.eclipse.org/legal/epl-v10.html
478 ##############################################################################
479
480 # Clear log credential files
481 rm &quot;$SETTINGS_FILE&quot;
482 rm ~/.netrc
483 </command>
484         </hudson.tasks.Shell>
485         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
486           <regexp>^Build logs: .*</regexp>
487         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
488       </buildSteps>
489       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
490       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
491       <markBuildUnstable>false</markBuildUnstable>
492     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
493     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
494       <patterns>
495         <hudson.plugins.ws__cleanup.Pattern>
496           <pattern>**/*.jenkins-trigger</pattern>
497           <type>EXCLUDE</type>
498         </hudson.plugins.ws__cleanup.Pattern>
499       </patterns>
500       <deleteDirs>false</deleteDirs>
501       <cleanupMatrixParent>false</cleanupMatrixParent>
502       <externalDelete/>
503       <cleanWhenSuccess>true</cleanWhenSuccess>
504       <cleanWhenUnstable>true</cleanWhenUnstable>
505       <cleanWhenFailure>true</cleanWhenFailure>
506       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
507       <cleanWhenAborted>true</cleanWhenAborted>
508       <notFailBuild>true</notFailBuild>
509     </hudson.plugins.ws__cleanup.WsCleanup>
510   </publishers>
511   <buildWrappers>
512     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
513     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
514       <timeoutMinutes>15</timeoutMinutes>
515       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
516       <failBuild>true</failBuild>
517       <writingDescription>false</writingDescription>
518       <timeoutPercentage>0</timeoutPercentage>
519       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
520       <timeoutType>absolute</timeoutType>
521     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
522     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
523     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
524       <user>test-credential</user>
525     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
526     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
527   </buildWrappers>
528 </project>